- Home
- API Enriched
- Observability
- data
- Alerts History Scroll.
Alerts History Scroll.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/alerts/history/scroll';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/alerts/history/scroll \ --header 'Authorization: <Authorization>'Scroll request is used to fetch large number of alert messages in multiple batches with each AlertsHistoryResponse containing no more than 500 alerts. To scroll through more than 500 or all alert messages, one can use the AlertsHistoryScrollRequest. Use the scroll_id returned in the AlertsHistoryResponse to fetch the next batch of alert messages and one can continue this process till the scroll_id returned in the AlertsHistoryResponse is "" which indicates no more alert messages to scroll.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace fetch the alerts scoped by namespace.
Query Parameters
Section titled “Query Parameters”Long Base-64 encoded string which can be used to retrieve next batch of alert messages.
Responses
Section titled “Responses”A successful response.
Response message for AlertsHistoryRequest/AlertsHistoryScrollRequest.
object
List of alerts that matched the filter. Contains no more than 500 alerts per response.
Long Base-64 encoded string which can be used to retrieve next batch of alert messages using the scroll request. Empty scroll_id indicates no more messages to scroll (EOF). Note: scroll_id is valid only for 2 minutes. I.e., If one intend to retrieve next batch of the result, then the scroll request should be sent within 2 minutes upon receiving the response.
Total number of alerts that matched the query.
Examplegenerated
{ "alerts": [ "example" ], "scroll_id": "example", "total_hits": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example